import request from '@/utils/request'
import constant from '@/constant'


function pageList(formData) {
  return request.post(constant.serverUrl + "/base/orderInfo/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/orderInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/orderInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/orderInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/orderInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/orderInfo/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/orderInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}


export default {
  create, edit, add, update, remove, batchRemove, pageList
}